"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const theme_1 = __importDefault(require("../theme"));
exports.GlobalStyle = styled_components_1.createGlobalStyle({
    body: {
        margin: 0,
    },
}, ({ theme }) => ({
    body: {
        fontSize: theme.font.size.default,
        fontFamily: theme.font.family,
        color: theme.colors.primaryText.default,
    },
    div: {
        boxSizing: 'border-box',
        minWidth: 0,
    },
    h1: {
        fontSize: theme.font.size.h1,
    },
    h2: {
        fontSize: theme.font.size.h2,
    },
    h3: {
        fontSize: theme.font.size.h3,
    },
    input: {
        color: theme.colors.primaryText.active,
        '::placeholder': {
            color: theme.greyscale.dark,
            opacity: 1,
        },
        ':-ms-input-placeholder': {
            color: theme.greyscale.dark,
        },
        '::-ms-input-placeholder': {
            color: theme.greyscale.dark,
        },
    },
    a: {
        color: theme.colors.primaryText.default,
        // OnClick
        '&:active:hover': {
            color: theme.colors.primaryText.active,
        },
        // Hover or focus
        '&:hover, &:focus': {
            color: theme.colors.primaryText.hover,
            textDecoration: 'none',
        },
    },
}));
exports.GlobalStyle.defaultProps = {
    theme: theme_1.default,
};
