"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const utils_1 = require("../../utils");
const theme_1 = __importDefault(require("../../theme"));
exports.StyledButton = styled_components_1.default.button({
    minWidth: '100px',
    height: '35px',
    borderRadius: '3em',
    border: 'none',
    opacity: 1,
    outline: 'none',
    padding: '0 2em',
}, utils_1.colourable, utils_1.secondary, utils_1.clickable);
exports.StyledButton.defaultProps = {
    theme: theme_1.default,
};
exports.AlignedDiv = styled_components_1.default.div((props) => ({
    textAlign: props.align,
    padding: '0.5em',
}));
exports.Button = (props) => {
    if (!props.align) {
        return react_1.default.createElement(exports.StyledButton, Object.assign({}, props));
    }
    return (react_1.default.createElement(exports.AlignedDiv, { align: props.align },
        react_1.default.createElement(exports.StyledButton, Object.assign({}, props))));
};
