"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const theme_1 = __importDefault(require("../../theme"));
const elements_1 = require("../../elements");
const StyledInput = styled_components_1.default.input({
    margin: 0,
    outline: 0,
    textAlign: 'left',
    lineHeight: '1.5em',
    padding: '.5em 1em',
}, ({ theme }) => {
    return {
        borderRadius: theme.sizes.borderRadius,
        border: `1px solid ${theme.greyscale.medium}`,
        '&:focus, &:focus:hover': {
            borderColor: theme.colors.primary.default,
        },
        '&:hover': {
            borderColor: theme.colors.primary.default,
            boxShadow: `1px 1px 12px 0 ${theme.greyscale.medium}`,
        },
    };
});
StyledInput.defaultProps = {
    theme: theme_1.default,
};
exports.Input = (props) => {
    if (!props.label) {
        return react_1.default.createElement(StyledInput, Object.assign({}, props));
    }
    return (react_1.default.createElement(elements_1.Box, { type: "row", verticalAlign: "center" },
        react_1.default.createElement(elements_1.Box, { size: 0.25 },
            react_1.default.createElement("label", null, props.label)),
        react_1.default.createElement(elements_1.Box, { size: 0.75 },
            react_1.default.createElement(StyledInput, Object.assign({}, props)))));
};
