"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const deepmerge_1 = __importDefault(require("deepmerge"));
const color_1 = __importDefault(require("color"));
exports.defaultTheme = {
    colors: {
        primary: '#C7C7CB',
        secondary: '#E3E3E5',
        primaryText: '#76767C',
        secondaryText: '#B9B9BC',
        red: '#E82C2C',
        orange: '#E8A72C',
        yellow: '#EFEF2C',
        green: '#24D174',
        teal: '#09D0B1',
        blue: '#2CB2E8',
        purple: '#A913E0',
        pink: '#FC42AD',
        brown: '#814306',
        black: '#151515',
        grey: '#A0A0A0',
        white: '#fff',
    },
    greyscale: {
        light: '#F5F5F5',
        medium: '#ECECEC',
        dark: '#C7C7CB',
        darker: '#76767C',
        darkest: '#393941',
    },
    font: {
        size: {
            default: '14px',
            h1: '18px',
            h2: '16px',
            h3: '14px',
        },
        family: "'Titillium Web','Helvetica Neue',Arial,Helvetica,sans-serif;",
    },
    sizes: {
        borderRadius: '1.5em',
    },
    breakpoints: ['40em', '52em', '64em', '80em'],
};
const getColors = (colors) => {
    let res = {};
    for (const key in colors) {
        if (colors.hasOwnProperty(key)) {
            const cHex = colors[key];
            const c = color_1.default(cHex);
            if (key.endsWith('Text')) {
                res[key] = {
                    default: cHex,
                    active: (c.isDark() ? c.darken(0.2) : c.lighten(0.4)).hex(),
                    hover: (c.isDark() ? c.lighten(0.4) : c.darken(0.2)).hex(),
                };
                continue;
            }
            res[key] = {
                default: cHex,
                active: (c.isLight() ? c.darken(0.1) : c.lighten(0.2)).hex(),
                hover: (c.isLight() ? c.lighten(0.2) : c.darken(0.1)).hex(),
            };
        }
    }
    return res;
};
exports.createTheme = (theme) => {
    const _a = theme ? deepmerge_1.default(exports.defaultTheme, theme) : exports.defaultTheme, { colors } = _a, rest = __rest(_a, ["colors"]);
    return Object.assign({ colors: getColors(colors) }, rest);
};
exports.defaultCreatedTheme = exports.createTheme();
exports.default = exports.defaultCreatedTheme;
