export declare type HiroColors = 'primary' | 'secondary' | 'primaryText' | 'secondaryText' | 'red' | 'orange' | 'yellow' | 'green' | 'teal' | 'blue' | 'purple' | 'pink' | 'brown' | 'black' | 'grey' | 'white';
export declare type Greyscales = 'light' | 'medium' | 'dark' | 'darker' | 'darkest';
declare type RecursivePartial<T> = {
    [P in keyof T]: RecursivePartial<T[P]>;
};
export declare type ColorDefinitions = Record<HiroColors, {
    default: string;
    active: string;
    hover: string;
}>;
export interface FontDefinitons {
    family: string;
    size: Record<'default' | 'h1' | 'h2' | 'h3', string | number>;
}
export declare type GreyscaleDefinitions = {
    [K in Greyscales]: string;
};
export interface SizeDefinitions {
    borderRadius: string | number;
}
export interface HiroDefaultTheme {
    colors: Record<HiroColors, string>;
    greyscale: GreyscaleDefinitions;
    font: FontDefinitons;
    sizes: SizeDefinitions;
    breakpoints: string[];
}
export declare type HiroPartialTheme = RecursivePartial<HiroDefaultTheme>;
declare module 'styled-components' {
    interface DefaultTheme {
        colors: ColorDefinitions;
        greyscale: GreyscaleDefinitions;
        font: FontDefinitons;
        sizes: SizeDefinitions;
        breakpoints: string[];
    }
}
export {};
