import { CSSObject, DefaultTheme } from 'styled-components';

import { HiroColors } from '../types';

export const clickable = <
  T extends { color?: HiroColors; disabled?: boolean; theme: DefaultTheme }
>({
  color,
  disabled,
  theme,
}: T): CSSObject => {
  return {
    cursor: 'pointer',

    // Disabled
    ...(disabled
      ? {
          pointerEvents: 'none' as const,
          opacity: 0.45,
        }
      : {}),

    // OnClick
    '&:active:hover': {
      backgroundColor: theme.colors[color || 'primary'].active,
    },
    // Hover or focus
    '&:hover, &:focus': {
      backgroundColor: theme.colors[color || 'primary'].hover,
    },
  };
};
