import React from 'react';
import { ThemeProvider } from 'styled-components';

import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';

import { Button, createTheme, Box, Input, GlobalStyle } from '../src';

const theme = createTheme({
  colors: { primary: '#2CB2E8' },
});

console.log('THEME', theme);

storiesOf('Inputs', module)
  .add('Button', () => (
    <ThemeProvider theme={theme}>
      <>
        <GlobalStyle />
        <Button onClick={action('clicked')}>Default</Button>
        <Button onClick={action('clicked')} disabled>
          Disabled
        </Button>
        <Button onClick={action('clicked')} secondary>
          Secondary
        </Button>
        <Button onClick={action('clicked')} secondary color="red">
          Secondary
        </Button>
        <Button onClick={action('clicked')} color="red">
          Red
        </Button>
        <Button onClick={action('clicked')} color="green">
          Green
        </Button>
        <Button onClick={action('clicked')} color="blue">
          Blue
        </Button>
        <Button onClick={action('clicked')} color="yellow">
          Yellow
        </Button>
        <Button onClick={action('clicked')} color="purple">
          Purple
        </Button>
      </>
    </ThemeProvider>
  ))
  .add('Input', () => (
    <ThemeProvider theme={theme}>
      <>
        <GlobalStyle />
        <Input placeholder="Placeholder" />
        <br />
        <br />
        <Input defaultValue="Value" />
        <br />
        <br />
        <Input placeholder="Username" label="Username" />
        <Input placeholder="Password" label="Password" />

        <br />
        <br />
        <br />
        <Box type="row">
          <Box size={0.5}>
            <Input placeholder="Username" label="Username" />
            <Input placeholder="Password" label="Password" />
            <br />

            <Button secondary align="right" color="red">
              Forgot Password
            </Button>
            <Button align="right">Login</Button>
          </Box>
          <Box size={0.5}>Test</Box>
        </Box>
      </>
    </ThemeProvider>
  ));
